### Hierarchy

- AIListHeaderComponent

## Index

### Inputs

- hasSearch
- title

### Outputs

- onSearch

### Constructors

- constructor

### Properties

- hasSearch
- onSearch
- title

## Constructors

### constructor

- new AIListHeaderComponent(): AIListHeaderComponent

- #### Returns AIListHeaderComponent

## Properties

### hasSearch

@Input()
hasSearch: boolean = false

- Defined in packages/angular/src/list/list-header/ai-list-header.component.ts:32

Indicates whether a search bar should be rendered in the list header.

### onSearch

@Output()
onSearch: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-header/ai-list-header.component.ts:37

If a `hasSearch` is true, this is emitted when search value is changed.

### title

@Input()
title: string

- Defined in packages/angular/src/list/list-header/ai-list-header.component.ts:27

Title to be displayed on the list header.

Generated using TypeDoc